Bug 101573 - New port: x11/dmenu X11 menu application (not only) for the dwm window manager
Summary: New port: x11/dmenu X11 menu application (not only) for the dwm window manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-07 12:50 UTC by Jeroen Schot
Modified: 2006-08-28 09:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Schot 2006-08-07 12:50:13 UTC
dmenu is a minimalistic X11 menu. It reads a newline separated list of items
from stdin and shows them as a menu on the top of the screen. When the user
selects one item or types any text and presses Enter, his choice is printed to
stdout.

dmenu was developed as an addition to the dwm window manager, but can be used
in any X11-environment.

WWW: http://10kloc.org/dwm/

Fix: 

# This archive contains:
#
# dmenu
# dmenu/files
# dmenu/files/patch-config.mk
# dmenu/pkg-descr
# dmenu/distinfo
# dmenu/Makefile
#
echo c - dmenu
mkdir -p dmenu > /dev/null 2>&1
echo c - dmenu/files
mkdir -p dmenu/files > /dev/null 2>&1
echo x - dmenu/files/patch-config.mk
sed 's/^X//' >dmenu/files/patch-config.mk << 'END-of-dmenu/files/patch-config.mk'
X--- config.mk.orig Mon Aug  7 13:34:51 2006
X+++ config.mk  Mon Aug  7 13:35:50 2006
X@@ -4,21 +4,21 @@
X # Customize below to fit your system
X
X # paths
X-PREFIX = /usr/local
X-MANPREFIX = ${PREFIX}/share/man
X+PREFIX ?= /usr/local
X+MANPREFIX = ${PREFIX}/man
X
X-X11INC = /usr/X11R6/include
X-X11LIB = /usr/X11R6/lib
X+X11INC = $(X11BASE)/include
X+X11LIB = $(X11BASE)/lib
X
X # includes and libs
X INCS = -I/usr/lib -I${X11INC}
X LIBS = -L/usr/lib -lc -L${X11LIB} -lX11
X
X # flags
X-CFLAGS = -Os ${INCS} -DVERSION=\"${VERSION}\"
X+CFLAGS = ${INCS} -DVERSION=\"${VERSION}\"
X LDFLAGS = ${LIBS}
X #CFLAGS = -g -Wall -O2 ${INCS} -DVERSION=\"${VERSION}\"
X #LDFLAGS = -g ${LIBS}
X
X # compiler
X-CC = cc
X+CC?= cc
END-of-dmenu/files/patch-config.mk
echo x - dmenu/pkg-descr
sed 's/^X//' >dmenu/pkg-descr << 'END-of-dmenu/pkg-descr'
Xdmenu is a minimalistic X11 menu. It reads a newline separated list of items
Xfrom stdin and shows them as a menu on the top of the screen. When the user
Xselects one item or types any text and presses Enter, his choice is printed to
Xstdout.
X
Xdmenu was developed as an addition to the dwm window manager, but can be used
Xin any X11-environment.
X
XWWW: http://10kloc.org/dwm/
END-of-dmenu/pkg-descr
echo x - dmenu/distinfo
sed 's/^X//' >dmenu/distinfo << 'END-of-dmenu/distinfo'
XMD5 (dmenu-0.2.tar.gz) = bab6da308ac466505148f18844a3771e
XSHA256 (dmenu-0.2.tar.gz) = ef841205eb5d0db71e416ea66865087bd6456ed02d9c3cfd44682a4a6f074d64
XSIZE (dmenu-0.2.tar.gz) = 7008
END-of-dmenu/distinfo
echo x - dmenu/Makefile
sed 's/^X//' >dmenu/Makefile << 'END-of-dmenu/Makefile'
X# New ports collection makefile for: dmenu
X# Date created:                August 4, 2006
X# Whom:                        Jeroen Schot <schot@a-eskwadraat.nl>
X#
X# $FreeBSD: $
X#
X
XPORTNAME=  dmenu
XPORTVERSION= 0.2
XCATEGORIES=  x11
XMASTER_SITES=  http://10kloc.org/download/ \
X   http://schot.a-eskwadraat.nl/files/
X
XMAINTAINER=  schot@a-eskwadraat.nl
XCOMMENT= X11 menu application (not only) for the dwm window manager
X
XUSE_XLIB=  yes
X
XMAN1=    dmenu.1
XPLIST_FILES= bin/dmenu
X
X.include <bsd.port.mk>
END-of-dmenu/Makefile
exit
Comment 1 Jeroen Schot 2006-08-10 22:51:20 UTC
Upstream has released a new version, below is a shell archive for the
new version, dmenu 0.3.

--Jeroen Schot

# This archive contains:
#
#	dmenu
#	dmenu/files
#	dmenu/files/patch-config.mk
#	dmenu/pkg-descr
#	dmenu/distinfo
#	dmenu/Makefile
#
echo c - dmenu
mkdir -p dmenu > /dev/null 2>&1
echo c - dmenu/files
mkdir -p dmenu/files > /dev/null 2>&1
echo x - dmenu/files/patch-config.mk
sed 's/^X//' >dmenu/files/patch-config.mk << 'END-of-dmenu/files/patch-config.mk'
X--- config.mk.orig	Mon Aug  7 13:34:51 2006
X+++ config.mk	Mon Aug  7 13:35:50 2006
X@@ -4,21 +4,21 @@
X # Customize below to fit your system
X 
X # paths
X-PREFIX = /usr/local
X-MANPREFIX = ${PREFIX}/share/man
X+PREFIX ?= /usr/local
X+MANPREFIX = ${PREFIX}/man
X 
X-X11INC = /usr/X11R6/include
X-X11LIB = /usr/X11R6/lib
X+X11INC = $(X11BASE)/include
X+X11LIB = $(X11BASE)/lib
X 
X # includes and libs
X INCS = -I/usr/lib -I${X11INC}
X LIBS = -L/usr/lib -lc -L${X11LIB} -lX11
X 
X # flags
X-CFLAGS = -Os ${INCS} -DVERSION=\"${VERSION}\"
X+CFLAGS+= ${INCS} -DVERSION=\"${VERSION}\"
X LDFLAGS = ${LIBS}
X #CFLAGS = -g -Wall -O2 ${INCS} -DVERSION=\"${VERSION}\"
X #LDFLAGS = -g ${LIBS}
X 
X # compiler
X-CC = cc
X+CC?= cc
END-of-dmenu/files/patch-config.mk
echo x - dmenu/pkg-descr
sed 's/^X//' >dmenu/pkg-descr << 'END-of-dmenu/pkg-descr'
Xdmenu is a minimalistic X11 menu. It reads a newline separated list of items
Xfrom stdin and shows them as a menu on the top of the screen. When the user
Xselects one item or types any text and presses Enter, his choice is printed to
Xstdout.
X
Xdmenu was developed as an addition to the dwm window manager, but can be used
Xin any X11-environment.
X
XWWW: http://10kloc.org/dwm/
END-of-dmenu/pkg-descr
echo x - dmenu/distinfo
sed 's/^X//' >dmenu/distinfo << 'END-of-dmenu/distinfo'
XMD5 (dmenu-0.3.tar.gz) = bce526e3fab2d4bd3c513b5b378ca425
XSHA256 (dmenu-0.3.tar.gz) = c85fdd759c8b703818e15e45702cdfb2b5dbb503dd15470b8b5aab8b69ef931d
XSIZE (dmenu-0.3.tar.gz) = 6959
END-of-dmenu/distinfo
echo x - dmenu/Makefile
sed 's/^X//' >dmenu/Makefile << 'END-of-dmenu/Makefile'
X# New ports collection makefile for: dmenu
X# Date created:                August 4, 2006
X# Whom:                        Jeroen Schot <schot@a-eskwadraat.nl>
X#
X# $FreeBSD: $
X#
X
XPORTNAME=	dmenu
XPORTVERSION=	0.3
XCATEGORIES=	x11
XMASTER_SITES=	http://10kloc.org/download/ \
X		http://schot.a-eskwadraat.nl/files/
X
XMAINTAINER=	schot@a-eskwadraat.nl
XCOMMENT=	X11 menu application (not only) for the dwm window manager
X
XUSE_XLIB=	yes
X
XMAN1=		dmenu.1
XPLIST_FILES=	bin/dmenu
X
X.include <bsd.port.mk>
END-of-dmenu/Makefile
exit
Comment 2 Pav Lucistnik freebsd_committer 2006-08-28 09:18:12 UTC
State Changed
From-To: open->closed

New port added, thank you!